Subject: OGI Speech Tools now available under LINUX!
From: Tilo Schuerer <[email-masked]>
Date: 9 Dec 1993 23:25:01 +0200
Newsgroups: comp.os.linux.announce

/*****************************************************************************/

     ANNOUNCING THE BINARY LINUX VERSION OF THE OGI SPEECH TOOLS (Version 1.0)

/*****************************************************************************/

The binary version of the OGI Speech Tools (the best speech related tools I ever
saw - congratulations to all the people from OGI!!!) together with the changes 
I had to make to get the stuff compiled under LINUX are now on the following 
ftp-server:

	ftp.cs.TU-Berlin.DE under /pub/sci/speech/ogi

The code is compiled with the gcc version 2.4.5 and the libc version 4.4.4
(Slackware 1.1.0).

There are the following files:
	
	437689 Dec  4 00:18 linux-bin.tar.gz     ---->  including the binaries
	 54351 Dec  4 00:03 linux-lib.tar.gz     ---->  including the libraries 
                                                    and include files
	  4287 Dec  4 00:44 linux-compile-diff   ---->  including the changes to 
                                                    the soure code I I had to 
                                                    make to compile the code
    352937 Dec  4 09:31 ogi-doc.tar.gz       ---->  the OGI docu
    808882 Dec  4 09:32 ogi-examples.tar.gz  ---->  some example data
     36352 Dec  4 09:33 ogi-man.tar.gz       ---->  the OGI manuals
   1546417 Oct 25 13:19 ogitools.v1.0.tar.gz ---->  the original OGI-code 
                                                    including docu, examples
                                                    and manuals

The soure code itself can be found:

	US:        speech.ogi.cse.edu under /pub/tools
	Europe:    ftp.cs.TU-Berlin.DE under /pub/sci/speech/ogi 
               (mirrored from OGI)

Begin2
Title        = OGI Speech Tools
Version      = Nov93, Linux version Alpha
Desc1        = Some tools to do speech processing (e.g. graphical display,
Desc2        = Neural Networks for speech recognition, Vector Quantisation,
Desc3        = Library of often used functions)
Maintainer   = Tilo Schuerer
MaintEmail   = [email-masked]
Site1        = ftp.cs.TU-Berlin:DE
Path1        = /pub/sci/speech/ogi
File1        = linux-bin.tar.gz
File2        = linux-lib.tar.gz
File3        = linux-compile-diff
File4        = ogi-doc.tar.gz
File5        = ogi-examples.tar.gz
File6        = ogi-man.tar.gz
File7        = ogitools.v1.0.tar.Z
FileSize1    = 437689
FileSize2    = 54351
FileSize3    = 4287
FileSize4    = 352937
FileSize5    = 808882
FileSize6    = 36352
FileSize7    = 2135831
CopyPolicy1  = See OGI Copyright.
Keywords     = speech recognition neural network 
Comment1     = This tools where original written for SUN's and DEC's.
Comment2     = I made some little changes to get the stuff compiled.
Entered      = 06DEC93
EnteredBy    = Tilo Schuerer
CheckedEmail = [email-masked]
End

Now a short part of the original ANNOUNCE from OGI about the Speech Tools:

A. What are the OGI Speech Tools
================================
The OGI Speech Tools are set of speech data manipulation tools
developed at the Center for Spoken Language Understanding (CSLU) at
the Oregon Graduate Institute of Science and Technology (Portland
Oregon). The tools can be used to compute and display signal
representations, label speech at different levels (e.g., phonetic,
phonemic and word), train neural network classifiers, and display the
output of classification or recognition algorithms time-aligned with
the speech.

A Software Capitalization grant from NSF has allowed to enhance,
document and distribute the tools. Continued maintenance and
improvement of the tools is supported by CSLU.

These include

1. An X windows display tool (LYRE) for displaying data in a time
   synchronous fashion. These mainly constitute the following data
   representations:
   
     a. the speech signal
     b. the spectrogram
     c. the phoneme labels
 
   The data displayed may, however, also include any other type of
   time synchronous information, provided the data is stored in the
   required format.

2. A Neural Network (NOPT) training package, which uses Conjugate
   Gradient descent optimization.

3. An extensive set of C library routines (LIBNSPEECH) for the
   manipulation of speech data. These also include the following signal
   processing routines.

    a. PLP Analysis
    b. Rasta PLP Analysis
    c. Linear Predictive Coding
    d. Mel Cepstrum Coding
    e. Fast Fourier Transform

4. An extensive set of utilities for converting from files
   of different format. These include routines such as:

   a. Converting from ADC to NIST type headers
   b. Converting to mu-law encoded files
   c. Converting from mu-law encoded files back to NIST headered files
   d. Filtering the speech waveform.
   e. Converting to from binary to an ascii data stream.

5. A database utility (find_phone) to efficiently automate speech data
   related queries.  This utility creates a database based on a listing
   of speech files and there corresponding location and label files
   (lola).  It allows the user to specify a particular label or set of
   labels in a given context, display all occurrences of the label, and
   relabel the occurrences if desired.

6. A Vector-Quantizer based on the Linde Buzo and Gray (LBG) algorithm.

7. An set of PEARL Scripts which have been used mainly to automate
   the use of the OGI Speech Tools. 

8. MAN Pages for all routines and programs developed, as well as
   a user manual in both in postscript and {\bf tex} format.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.